🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Special Features

Returns the stored special features analysis (marks such as crosses, stars, squares, triangles, circles, and other unique traits) for a given palm reading.
POSThttps://palmistry.astrologyapi.com/special-features

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Body parameters

palm_idstringrequired

Unique palm reading ID returned by get-palm-id

curl --location 'https://palmistry.astrologyapi.com/special-features' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "palm_id": "c48d0b00-1d49-4af8-8c05-e778b3d7a00f"
}'
Try it

Runs with sample data — no API key needed

{
  "status": true,
  "data": {
    "marks": [
      {
        "type": "star",
        "location": "mount of jupiter"
      }
    ],
    "unique_traits": [
      "deep set heart line"
    ]
  }
}